Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_SCIOP_Protocol_Factory Class Reference

`#include <SCIOP_Factory.h>`

Inheritance diagram for TAO_SCIOP_Protocol_Factory:

[legend]
Collaboration diagram for TAO_SCIOP_Protocol_Factory:

[legend]
List of all members.

## Public Methods
| TAO_SCIOP_Protocol_Factory (void)
virtual | ~TAO_SCIOP_Protocol_Factory (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
| Dynamic linking hook.
virtual int | match_prefix (const ACE_CString &prefix)
| Verify prefix is a match.
virtual const char * | prefix (void) const
| Returns the prefix used by the protocol.
virtual char | options_delimiter (void) const
virtual TAO_Acceptor * | make_acceptor (void)
virtual TAO_Connector * | make_connector (void)
virtual int | requires_explicit_endpoint (void) const
## Private Attributes
int | major_
int | minor_

## Constructor & Destructor Documentation

TAO_SCIOP_Protocol_Factory::TAO_SCIOP_Protocol_Factory | ( | void |  | ) |

TAO_SCIOP_Protocol_Factory::~TAO_SCIOP_Protocol_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_SCIOP_Protocol_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Dynamic linking hook. Reimplemented from TAO_Protocol_Factory.

TAO_Acceptor * TAO_SCIOP_Protocol_Factory::make_acceptor | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

TAO_Connector * TAO_SCIOP_Protocol_Factory::make_connector | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

int TAO_SCIOP_Protocol_Factory::match_prefix | ( | const ACE_CString & | prefix | ) | `[virtual]`

| Verify prefix is a match. Reimplemented from TAO_Protocol_Factory.

char TAO_SCIOP_Protocol_Factory::options_delimiter | ( | void |  | ) | const`[virtual]`

| Return the character used to mark where an endpoint ends and where its options begin. Reimplemented from TAO_Protocol_Factory.

const char * TAO_SCIOP_Protocol_Factory::prefix | ( | void |  | ) | const`[virtual]`

| Returns the prefix used by the protocol. Reimplemented from TAO_Protocol_Factory.

int TAO_SCIOP_Protocol_Factory::requires_explicit_endpoint | ( | void |  | ) | const`[virtual]`

| Implements TAO_Protocol_Factory.

## Member Data Documentation

int TAO_SCIOP_Protocol_Factory::major_`[private]`

| Changing the version number can be used to provide backwards compatibility with old clients.

int TAO_SCIOP_Protocol_Factory::minor_`[private]`

The documentation for this class was generated from the following files:

- SCIOP_Factory.h
- SCIOP_Factory.cpp